View Issue Details

IDProjectCategoryView StatusLast Update
0005112Talerdeployment and operationspublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005112: Selenium test fails
DescriptionSelenium test currently fails with the following message.

INFO: testing against https://test.taler.net/
INFO: Getting extension's ID..
INFO: About to get chromed
INFO: Got chromed
INFO: Extension ID: bglmpbcndaegefnpelegmbgimeccgcha
INFO: Creating the browser driver..
INFO: Correctly registered at bank
INFO: Withdrawing..
INFO: About to confirm amount
INFO: Exchange confirmation refreshed
INFO: Polling for the button
Traceback (most recent call last):
  File "wallet-webex/selenium/withdraw_buy.py", line 328, in <module>
    withdraw(client, "10.00 TESTKUDOS")
  File "wallet-webex/selenium/withdraw_buy.py", line 262, in withdraw
    exchange_input = client.find_element(By.XPATH, "//input[@class='url']")
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 791, in find_element
    'value': value})['value']
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 256, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/errorhandler.py", line 194, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.NoSuchElementException: Message: no such element: Unable to locate element: {"method":"xpath","selector":"//input[@class='url']"}
  (Session info: chrome=59.0.3071.104)
  (Driver info: chromedriver=2.29 (undefined),platform=Linux 4.7.0-1-amd64 x86_64)
Steps To ReproduceEither run selenium test from buildbot (Web interface), or log-in as containers@taler.net and do:

$ export PATH=$HOME/local/bin:$PATH
$ launch_selenium_test
TagsNo tags attached.

Activities

Marcello Stanisci

2017-07-19 22:06

manager   ~0012351

Fixed @ 8d5b1e53. It needed to be adapted to new Web interface suggesting default exchange.

Issue History

Date Modified Username Field Change
2017-07-19 11:55 Marcello Stanisci New Issue
2017-07-19 11:55 Marcello Stanisci Assigned To => Marcello Stanisci
2017-07-19 11:55 Marcello Stanisci Status new => assigned
2017-07-19 11:55 Marcello Stanisci Priority normal => high
2017-07-19 13:31 Marcello Stanisci Steps to Reproduce Updated View Revisions
2017-07-19 22:06 Marcello Stanisci Status assigned => resolved
2017-07-19 22:06 Marcello Stanisci Resolution open => fixed
2017-07-19 22:06 Marcello Stanisci Note Added: 0012351
2017-07-20 09:22 Christian Grothoff Product Version => SVN HEAD
2017-07-20 09:22 Christian Grothoff Fixed in Version => 0.4
2017-07-20 09:22 Christian Grothoff Target Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed